Bug 114642 - Assertion failure instead of error report for bad join path
Assertion failure instead of error report for bad join path
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 11:53 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 17:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2004-01-30 11:53:12 EST
When a join path of length two joins through a single column rather
than two columns, the error is caught by an assertion rather than an
error check that includes a PDL line number and useful text.

The following join path should reproduce this problem:

join a.a_id to map.from_id, join map.from_id to b.b_id

Note You need to log in before you can comment on or make changes to this bug.